{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configuration-flags;
in

mkIf flags.edition-video {

  # Paquets
  environment.systemPackages = with pkgs; [
    ffmpeg-full   # assemblage de flux audio & video en ligne de commande
  ];

  /* TODO: voir pour appliquer la personnalisation
  nixpkgs.config.packageOverrides = pkgs: {
    ffmpeg-full = pkgs.ffmpeg-full.override {
      nonfreeLicensing = true;
      nvenc  = true;
    };
  };
  */
}
